<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"></script>

    <title>Javascript</title>


</head>

<body>

    <div class="container-fluid bg-dark mt-3 p-3 text-white">
        <h2>Aufgabe 1</h2>
        <button type="button" id="my-button" class="btn btn-primary m-3">Click me</button>
        <span id="counter" class="badge bg-danger">0</span>
    </div>

    <div class="container-fluid bg-dark mt-3 p-3 text-white">
        <h2>Aufgabe 2</h2>
        <input type="number" id="num1" class="bg-light" placeholder="Number 1">
        <input type="number" id="num2" class="bg-light" placeholder="Number 2">
        <button type="button" id="add" class="btn btn-success m-2">+</button>
        <button type="button" id="sub" class="btn btn-success m-2">-</button>
        <button type="button" id="mul" class="btn btn-success m-2">*</button>
        <button type="button" id="div" class="btn btn-success m-2">/</button>
        <input type="number" id="result" placeholder="Result" disabled>

    </div>

    <div class="container-fluid bg-dark mt-3 p-3 text-white">
        <h2>Aufgabe 3</h2>
        <input type="text" id="textfield" class="bg-info" placeholder="Text eingeben">
        <button type="button" id="textbutton" class="btn btn-danger m-2">Click me</button>
        <button type="button" id="textempty" class="btn btn-primary m-2">Löschen</button>
        <button type="button" class="btn btn-danger mx-3" id="removeChar">Letztes Zeichen entfernen</button>
        <input type="text" id="textresult" class="bg-warning" disabled>
    </div>
    <div class="container-fluid mt-3 p-3 bg-dark text-light">
        <h2>Farbmischer</h2>
    <div id="mixedColor" class="border" style="width: 50px; height: 50px;"></div>
    <div class="form-check">
        <label class="form-check-label">
            <input id="red" type="checkbox" class="form-check-input" value="">Rot
        </label>
    </div>
    <div class="form-check">
        <label class="form-check-label">
            <input id="green" type="checkbox" class="form-check-input" value="">Grün
        </label>
    </div>
    <div class="form-check">
        <label class="form-check-label">
            <input id="blue" type="checkbox" class="form-check-input" value="">Blau
        </label>
    </div>
    <button type = button id="mixColors" class="btn btn-primary">Mischen</button>
</div>


    <script src="main.js"></script>

</body>

</html>